Loading...
Searching...
No Matches
bootsector.c File Reference

## Functions

int | fat_boot_sector_analyse (FatBootSector *bs, PedFileSystem *fs)
int | fat_boot_sector_generate (FatBootSector **bsp, const PedFileSystem *fs)
FatType _GL_ATTRIBUTE_PURE | fat_boot_sector_probe_type (const FatBootSector *bs, const PedGeometry *geom)
int | fat_boot_sector_read (FatBootSector **bsp, const PedGeometry *geom)
int | fat_boot_sector_set_boot_code (FatBootSector **bsp, const PedFileSystem *fs)
int | fat_boot_sector_write (const FatBootSector *bs, PedFileSystem *fs)
int | fat_info_sector_generate (FatInfoSector **isp, const PedFileSystem *fs)
int | fat_info_sector_read (FatInfoSector **isp, const PedFileSystem *fs)
int | fat_info_sector_write (const FatInfoSector *is, PedFileSystem *fs)

## Function Documentation

## fat_boot_sector_analyse()

int fat_boot_sector_analyse | ( | FatBootSector * | bs,
|  | PedFileSystem * | fs )

## fat_boot_sector_generate()

int fat_boot_sector_generate | ( | FatBootSector ** | bsp,
|  | const PedFileSystem * | fs )

## fat_boot_sector_probe_type()

FatType _GL_ATTRIBUTE_PURE fat_boot_sector_probe_type | ( | const FatBootSector * | bs,
|  | const PedGeometry * | geom )

## fat_boot_sector_read()

int fat_boot_sector_read | ( | FatBootSector ** | bsp,
|  | const PedGeometry * | geom )

## fat_boot_sector_set_boot_code()

int fat_boot_sector_set_boot_code | ( | FatBootSector ** | bsp,
|  | const PedFileSystem * | fs )

## fat_boot_sector_write()

int fat_boot_sector_write | ( | const FatBootSector * | bs,
|  | PedFileSystem * | fs )

## fat_info_sector_generate()

int fat_info_sector_generate | ( | FatInfoSector ** | isp,
|  | const PedFileSystem * | fs )

## fat_info_sector_read()

int fat_info_sector_read | ( | FatInfoSector ** | isp,
|  | const PedFileSystem * | fs )

## fat_info_sector_write()

int fat_info_sector_write | ( | const FatInfoSector * | is,
|  | PedFileSystem * | fs )